var constraints = { video: { facingMode: "environment" }, audio: false };
var track = null;
var isCordovaApp = (typeof window.cordova !== "undefined");
 
// Define constants
const cameraView = document.querySelector("#camview"),
      cameraOutput = document.querySelector("#camoutput"),
      cameraSensor = document.querySelector("#camsensor"),
      cameraTrigger = document.querySelector("#camtrigger");
           
// Access the device camera and stream to cameraView
function cameraStart() {
    navigator.mediaDevices
        .getUserMedia(constraints)
        .then(function(stream) {
        track = stream.getTracks()[0];
        cameraView.srcObject = stream;
    })
    .catch(function(error) {
        console.error("Keine Kamera verfügbar?", error);
    });
}
// Take a picture when cameraTrigger is tapped
// default ist "image/png"
cameraTrigger.onclick = function() {
    cameraSensor.width = cameraView.videoWidth;
    cameraSensor.height = cameraView.videoHeight;
    cameraSensor.getContext("2d").drawImage(cameraView, 0, 0);
    cameraOutput.src = cameraSensor.toDataURL("image/png"); 
    cameraOutput.classList.add("taken");    
};


btnZurueck.onclick=function(){
   ChangeForm(Form1); 
}


camoutput.onclick=function(){
   alert('Auf Bild geklickt'); 
   // hier soll Speichern des Bilds veranlasst werden
}

// wenn capture undefined: weil es plugin-media-capture voraussetzt, wieder in config.xml eingefügt
//document.addEventListener("deviceready", onDeviceReady, false);
//function onDeviceReady() {
//   console.log(navigator.device.capture);
//}
// Start the video stream when the window loads. Original: window.add...??
// document.addEventListener("DOMContentLoaded", cameraStart, false);

if(isCordovaApp) {
   document.addEventListener("deviceready", onDeviceReady, false);
   function onDeviceReady() {
      cameraStart();
   }
} else {
   loadProject();
}
 
function loadProject() {
   document.addEventListener("DOMContentLoaded", cameraStart, false);
}
